import { queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getlots() {
	return queryOptions({
		queryKey: ["lots"],
		queryFn: () => fetchSettings(),

		staleTime: 10 * 1000,
		refetchInterval: 1000 * 10,
		refetchOnWindowFocus: true,
	});
}

const fetchSettings = async () => {
	const { data } = await axios.get("/lst/old/api/ocp/getlots");
	// if we are not localhost ignore the devDir setting.
	//const url: string = window.location.host.split(":")[0];
	let lotData = data.data;
	return lotData ?? [];
};
